<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
    <meta charset="utf-8">
    <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
    <link rel="manifest" href="manifest.json">
    <link rel="apple-touch-icon" sizes="180x180" href="icons/icon-180x180.png">

    <!-- <script>
        // Service Worker
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('/sw.js')
                .then(function () {
                    console.log('Service Worker Registered');
                });
        }
    </script> -->
    <!-- <script type="text/javascript" src="user.json"></script> -->

    <script>
        var firebaseConfig = {
            apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
            authDomain: "theflyingmangobutterflies.firebaseapp.com",
            databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
            projectId: "theflyingmangobutterflies",
            storageBucket: "theflyingmangobutterflies.appspot.com",
            messagingSenderId: "917586757603",
            appId: "1:917586757603:web:d7032957a5a827e1"
        };
        firebase.initializeApp(firebaseConfig);
    </script>
    <style>
        @media screen and (max-width: 420px) {

            /* For mobile phone: */
            #icon {
                height: 123px;
                width: 123px;
                border-radius: 20px;
                /* background-color: #C8C8C8; */
                background-image: url(icons/icon-128x128.png);
                background-repeat: no-repeat;
                background-size: cover; 
            }

            input, button {
                outline: none;
            }

            body {
                background-color: white;
                margin: 0;
            }

            #rectangle-1 {
                height: 193px;
                width: 100%;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
                height: 164px;
                width: 100%;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
            }

            #tmp {
                margin-top: -72px;
                display: flex;
                justify-content: center;
            }

            #tmp2 {
                display: flex;
                justify-content: center;
            }

            #rectangle {
                box-sizing: border-box;
                height: 59px;
                width: 298px;
                border-radius: 10px;
                background-color: #8ADF50;
                border: 3px solid #000;
                display: flex;
                justify-content: center;
            }

            #container {
                margin: 0;
                padding: 0;
                height: 100vh;
                width: 100vw;
            }

            #mango_quiz_text {
                margin: 0;
                height: 37px;
                width: 180px;
                color: #000;
                font-family: 'Montserrat', sans-serif;
                font-size: 30px;
                font-weight: 700;
                line-height: 37px;
            }

            #tmp3 {
                display: flex;
                align-items: center;
                flex-direction: column;
            }

            #title {
                padding-top: 20px;
                margin: 0;
                height: 72px;
                width: 294px;
                color: #000;
                font-family: 'Montserrat';
                font-size: 20px;
                line-height: 24px;
                text-align: center;
            }

            #rectangle-3 {
                box-sizing: border-box;
                height: 48px;
                width: 285px;
                border-radius: 10px;
                border: 3px solid #FF6E36;
                margin-top: 20px;
                font-size: 23px;
                font-family: "Montserrat", sans-serif;
            }

            #tmp4 {
                display: flex;
                justify-content: center;
                position: relative;
            }

            #name {
                position: absolute;
                height: 12px;
                width: 83px;
                color: #000;
                font-family: Montserrat;
                font-size: 10px;
                line-height: 12px;
                text-align: center;
                top: 8px;
                left: 60px;
                background-color: white;
            }

            #btn {
                margin-top: 20px;
                height: 37px;
                width: 175px;
                border-radius: 10px;
                background: linear-gradient(104.28deg, #FF8132 0%, #FF6738 100%);
                font-family: Montserrat;
                font-size: 20px;
                line-height: 24px;
            }

            #tmp5 {
                display: flex;
                justify-content: center;
            }
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="tmp2">
            <div id="rectangle-1"></div>
        </div>
        <div id="tmp">
            <div id="icon">

            </div>
        </div>
        <div id="tmp3">
            <h1 id="mango_quiz_text">MangoQuiz</h1>
            <p id="title">
                Манай Quiz-д тавтай морил!
                Бид таны хэрэглэгчийн
                бүртгэлийг үүсгэж байна.
            </p>
        </div>
        <div id="tmp4">
            <input id="rectangle-3" onkeyup="myFunction()">
            <p id="name">Нэрээ бичнэ үү</p>
        </div>
        <div id="tmp5">
            <button id="btn" onclick="menu_orooroi()">Дараагийнх нь</button>
        </div>
    </div>
    <script>
        var DB = firebase.database();
        document.getElementById('btn').hidden = true;

        function myFunction() {
            if (document.getElementById('rectangle-3').value != "") {
                document.getElementById('btn').hidden = false;
            } else {
                document.getElementById('btn').hidden = true;
            }
        }

        function menu_orooroi() {
            let username = document.getElementById('rectangle-3').value;
            var all_username, tmp6 = 0;
            DB.ref('/Users').once('value', snapshot => {
                all_username = Object.keys(snapshot.val());
                // console.log(all_username);
            }).then(() => {
                for (let i = 0; i < all_username.length; i++) {
                    if (all_username[i] == username) {
                        tmp6 = 1;
                    }
                }
                if (tmp6 != 1) {
                    DB.ref(`/Users/${username}`).once('value', snapshot => {
                        if (snapshot.val() == null) {
                            DB.ref(`/Users/${username}`).set(getNewUserStats());
                        }
                    }).then(() => {
                        localStorage.setItem('username', username);
                        window.location.href = "first_menu.html";
                    })
                } else {
                    alert('Iim nertei hereglegch baina !!!');
                }
            });
        }

        function getNewUserStats() {
            return {
                niit_hediig_taasan: 0,
                niit_onoo: 0,
                hint: 10,
                ali_catalogy_songoson: '',
                kino: {
                    ali_turul_songoson: '',
                    mon_mv: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_1": "0",
                        "quiz_10": "0",
                        "quiz_11": "0",
                        "quiz_12": "0",
                        "quiz_13": "0",
                        "quiz_14": "0",
                        "quiz_15": "0",
                        "quiz_16": "0",
                        "quiz_17": "0",
                        "quiz_18": "0",
                        "quiz_19": "0",
                        "quiz_2": "0",
                        "quiz_20": "0",
                        "quiz_3": "0",
                        "quiz_4": "0",
                        "quiz_5": "0",
                        "quiz_6": "0",
                        "quiz_7": "0",
                        "quiz_8": "0",
                        "quiz_9": "0",

                        quiz_1_onoo: 0,
                        quiz_10_onoo: 0,
                        quiz_11_onoo: 0,
                        quiz_12_onoo: 0,
                        quiz_13_onoo: 0,
                        quiz_14_onoo: 0,
                        quiz_15_onoo: 0,
                        quiz_16_onoo: 0,
                        quiz_17_onoo: 0,
                        quiz_18_onoo: 0,
                        quiz_19_onoo: 0,
                        quiz_2_onoo: 0,
                        quiz_20_onoo: 0,
                        quiz_3_onoo: 0,
                        quiz_4_onoo: 0,
                        quiz_5_onoo: 0,
                        quiz_6_onoo: 0,
                        quiz_7_onoo: 0,
                        quiz_8_onoo: 0,
                        quiz_9_onoo: 0
                    },

                    mon_mv_2: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_21": "0",
                        "quiz_22": "0",
                        "quiz_23": "0",
                        "quiz_24": "0",
                        "quiz_25": "0",
                        "quiz_26": "0",
                        "quiz_27": "0",
                        "quiz_28": "0",
                        "quiz_29": "0",
                        "quiz_30": "0",
                        "quiz_31": "0",
                        "quiz_32": "0",
                        "quiz_33": "0",
                        "quiz_34": "0",
                        "quiz_35": "0",
                        "quiz_36": "0",
                        "quiz_37": "0",
                        "quiz_38": "0",
                        "quiz_39": "0",
                        "quiz_40": "0",

                        quiz_21_onoo: 0,
                        quiz_22_onoo: 0,
                        quiz_23_onoo: 0,
                        quiz_24_onoo: 0,
                        quiz_25_onoo: 0,
                        quiz_26_onoo: 0,
                        quiz_27_onoo: 0,
                        quiz_28_onoo: 0,
                        quiz_29_onoo: 0,
                        quiz_30_onoo: 0,
                        quiz_31_onoo: 0,
                        quiz_32_onoo: 0,
                        quiz_33_onoo: 0,
                        quiz_34_onoo: 0,
                        quiz_35_onoo: 0,
                        quiz_36_onoo: 0,
                        quiz_37_onoo: 0,
                        quiz_38_onoo: 0,
                        quiz_39_onoo: 0,
                        quiz_40_onoo: 0,
                    },

                    gadaad_mv: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_1": "0",
                        "quiz_2": "0",
                        "quiz_3": "0",
                        "quiz_4": "0",
                        "quiz_5": "0",
                        "quiz_6": "0",
                        "quiz_7": "0",
                        "quiz_8": "0",
                        "quiz_9": "0",
                        "quiz_10": "0",
                        "quiz_11": "0",
                        "quiz_12": "0",
                        "quiz_13": "0",
                        "quiz_14": "0",
                        "quiz_15": "0",
                        "quiz_16": "0",
                        "quiz_17": "0",
                        "quiz_18": "0",
                        "quiz_19": "0",
                        "quiz_20": "0",

                        quiz_1_onoo: 0,
                        quiz_2_onoo: 0,
                        quiz_3_onoo: 0,
                        quiz_4_onoo: 0,
                        quiz_5_onoo: 0,
                        quiz_6_onoo: 0,
                        quiz_7_onoo: 0,
                        quiz_8_onoo: 0,
                        quiz_9_onoo: 0,
                        quiz_10_onoo: 0,
                        quiz_11_onoo: 0,
                        quiz_12_onoo: 0,
                        quiz_13_onoo: 0,
                        quiz_14_onoo: 0,
                        quiz_15_onoo: 0,
                        quiz_16_onoo: 0,
                        quiz_17_onoo: 0,
                        quiz_18_onoo: 0,
                        quiz_19_onoo: 0,
                        quiz_20_onoo: 0,
                    },

                    gadaad_mv_2: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_21": "0",
                        "quiz_22": "0",
                        "quiz_23": "0",
                        "quiz_24": "0",
                        "quiz_25": "0",
                        "quiz_26": "0",
                        "quiz_27": "0",
                        "quiz_28": "0",
                        "quiz_29": "0",
                        "quiz_30": "0",
                        "quiz_31": "0",
                        "quiz_32": "0",
                        "quiz_33": "0",
                        "quiz_34": "0",
                        "quiz_35": "0",
                        "quiz_36": "0",
                        "quiz_37": "0",
                        "quiz_38": "0",
                        "quiz_39": "0",
                        "quiz_40": "0",

                        quiz_21_onoo: 0,
                        quiz_22_onoo: 0,
                        quiz_23_onoo: 0,
                        quiz_24_onoo: 0,
                        quiz_25_onoo: 0,
                        quiz_26_onoo: 0,
                        quiz_27_onoo: 0,
                        quiz_28_onoo: 0,
                        quiz_29_onoo: 0,
                        quiz_30_onoo: 0,
                        quiz_31_onoo: 0,
                        quiz_32_onoo: 0,
                        quiz_33_onoo: 0,
                        quiz_34_onoo: 0,
                        quiz_35_onoo: 0,
                        quiz_36_onoo: 0,
                        quiz_37_onoo: 0,
                        quiz_38_onoo: 0,
                        quiz_39_onoo: 0,
                        quiz_40_onoo: 0,
                    },

                    animation: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_1": "0",
                        "quiz_2": "0",
                        "quiz_3": "0",
                        "quiz_4": "0",
                        "quiz_5": "0",
                        "quiz_6": "0",
                        "quiz_7": "0",
                        "quiz_8": "0",
                        "quiz_9": "0",
                        "quiz_10": "0",
                        "quiz_11": "0",
                        "quiz_12": "0",
                        "quiz_13": "0",
                        "quiz_14": "0",
                        "quiz_15": "0",
                        "quiz_16": "0",
                        "quiz_17": "0",
                        "quiz_18": "0",
                        "quiz_19": "0",
                        "quiz_20": "0",

                        quiz_1_onoo: 0,
                        quiz_2_onoo: 0,
                        quiz_3_onoo: 0,
                        quiz_4_onoo: 0,
                        quiz_5_onoo: 0,
                        quiz_6_onoo: 0,
                        quiz_7_onoo: 0,
                        quiz_8_onoo: 0,
                        quiz_9_onoo: 0,
                        quiz_10_onoo: 0,
                        quiz_11_onoo: 0,
                        quiz_12_onoo: 0,
                        quiz_13_onoo: 0,
                        quiz_14_onoo: 0,
                        quiz_15_onoo: 0,
                        quiz_16_onoo: 0,
                        quiz_17_onoo: 0,
                        quiz_18_onoo: 0,
                        quiz_19_onoo: 0,
                        quiz_20_onoo: 0,
                    },

                    anime: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_1": "0",
                        "quiz_2": "0",
                        "quiz_3": "0",
                        "quiz_4": "0",
                        "quiz_5": "0",
                        "quiz_6": "0",
                        "quiz_7": "0",
                        "quiz_8": "0",
                        "quiz_9": "0",
                        "quiz_10": "0",
                        "quiz_11": "0",
                        "quiz_12": "0",
                        "quiz_13": "0",
                        "quiz_14": "0",
                        "quiz_15": "0",
                        "quiz_16": "0",
                        "quiz_17": "0",
                        "quiz_18": "0",
                        "quiz_19": "0",
                        "quiz_20": "0",

                        quiz_1_onoo: 0,
                        quiz_2_onoo: 0,
                        quiz_3_onoo: 0,
                        quiz_4_onoo: 0,
                        quiz_5_onoo: 0,
                        quiz_6_onoo: 0,
                        quiz_7_onoo: 0,
                        quiz_8_onoo: 0,
                        quiz_9_onoo: 0,
                        quiz_10_onoo: 0,
                        quiz_11_onoo: 0,
                        quiz_12_onoo: 0,
                        quiz_13_onoo: 0,
                        quiz_14_onoo: 0,
                        quiz_15_onoo: 0,
                        quiz_16_onoo: 0,
                        quiz_17_onoo: 0,
                        quiz_18_onoo: 0,
                        quiz_19_onoo: 0,
                        quiz_20_onoo: 0,
                    },

                    anime_2: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_21": "0",
                        "quiz_22": "0",
                        "quiz_23": "0",
                        "quiz_24": "0",
                        "quiz_25": "0",
                        "quiz_26": "0",
                        "quiz_27": "0",
                        "quiz_28": "0",
                        "quiz_29": "0",
                        "quiz_30": "0",
                        "quiz_31": "0",
                        "quiz_32": "0",
                        "quiz_33": "0",
                        "quiz_34": "0",
                        "quiz_35": "0",
                        "quiz_36": "0",
                        "quiz_37": "0",
                        "quiz_38": "0",
                        "quiz_39": "0",
                        "quiz_40": "0",

                        quiz_21_onoo: 0,
                        quiz_22_onoo: 0,
                        quiz_23_onoo: 0,
                        quiz_24_onoo: 0,
                        quiz_25_onoo: 0,
                        quiz_26_onoo: 0,
                        quiz_27_onoo: 0,
                        quiz_28_onoo: 0,
                        quiz_29_onoo: 0,
                        quiz_30_onoo: 0,
                        quiz_31_onoo: 0,
                        quiz_32_onoo: 0,
                        quiz_33_onoo: 0,
                        quiz_34_onoo: 0,
                        quiz_35_onoo: 0,
                        quiz_36_onoo: 0,
                        quiz_37_onoo: 0,
                        quiz_38_onoo: 0,
                        quiz_39_onoo: 0,
                        quiz_40_onoo: 0,
                    },

                    character: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_1": "0",
                        "quiz_2": "0",
                        "quiz_3": "0",
                        "quiz_4": "0",
                        "quiz_5": "0",
                        "quiz_6": "0",
                        "quiz_7": "0",
                        "quiz_8": "0",
                        "quiz_9": "0",
                        "quiz_10": "0",
                        "quiz_11": "0",
                        "quiz_12": "0",
                        "quiz_13": "0",
                        "quiz_14": "0",
                        "quiz_15": "0",
                        "quiz_16": "0",
                        "quiz_17": "0",
                        "quiz_18": "0",
                        "quiz_19": "0",
                        "quiz_20": "0",

                        quiz_1_onoo: 0,
                        quiz_2_onoo: 0,
                        quiz_3_onoo: 0,
                        quiz_4_onoo: 0,
                        quiz_5_onoo: 0,
                        quiz_6_onoo: 0,
                        quiz_7_onoo: 0,
                        quiz_8_onoo: 0,
                        quiz_9_onoo: 0,
                        quiz_10_onoo: 0,
                        quiz_11_onoo: 0,
                        quiz_12_onoo: 0,
                        quiz_13_onoo: 0,
                        quiz_14_onoo: 0,
                        quiz_15_onoo: 0,
                        quiz_16_onoo: 0,
                        quiz_17_onoo: 0,
                        quiz_18_onoo: 0,
                        quiz_19_onoo: 0,
                        quiz_20_onoo: 0,
                    },

                    character_2: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_21": "0",
                        "quiz_22": "0",
                        "quiz_23": "0",
                        "quiz_24": "0",
                        "quiz_25": "0",
                        "quiz_26": "0",
                        "quiz_27": "0",
                        "quiz_28": "0",
                        "quiz_29": "0",
                        "quiz_30": "0",
                        "quiz_31": "0",
                        "quiz_32": "0",
                        "quiz_33": "0",
                        "quiz_34": "0",
                        "quiz_35": "0",
                        "quiz_36": "0",
                        "quiz_37": "0",
                        "quiz_38": "0",
                        "quiz_39": "0",
                        "quiz_40": "0",

                        quiz_21_onoo: 0,
                        quiz_22_onoo: 0,
                        quiz_23_onoo: 0,
                        quiz_24_onoo: 0,
                        quiz_25_onoo: 0,
                        quiz_26_onoo: 0,
                        quiz_27_onoo: 0,
                        quiz_28_onoo: 0,
                        quiz_29_onoo: 0,
                        quiz_30_onoo: 0,
                        quiz_31_onoo: 0,
                        quiz_32_onoo: 0,
                        quiz_33_onoo: 0,
                        quiz_34_onoo: 0,
                        quiz_35_onoo: 0,
                        quiz_36_onoo: 0,
                        quiz_37_onoo: 0,
                        quiz_38_onoo: 0,
                        quiz_39_onoo: 0,
                        quiz_40_onoo: 0,
                    },

                },
                duu: {
                    ali_turul_songoson: '',
                    mon_duu: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_1": "0",
                        "quiz_10": "0",
                        "quiz_11": "0",
                        "quiz_12": "0",
                        "quiz_13": "0",
                        "quiz_14": "0",
                        "quiz_15": "0",
                        "quiz_16": "0",
                        "quiz_17": "0",
                        "quiz_18": "0",
                        "quiz_19": "0",
                        "quiz_2": "0",
                        "quiz_20": "0",
                        "quiz_3": "0",
                        "quiz_4": "0",
                        "quiz_5": "0",
                        "quiz_6": "0",
                        "quiz_7": "0",
                        "quiz_8": "0",
                        "quiz_9": "0",

                        quiz_1_onoo: 0,
                        quiz_10_onoo: 0,
                        quiz_11_onoo: 0,
                        quiz_12_onoo: 0,
                        quiz_13_onoo: 0,
                        quiz_14_onoo: 0,
                        quiz_15_onoo: 0,
                        quiz_16_onoo: 0,
                        quiz_17_onoo: 0,
                        quiz_18_onoo: 0,
                        quiz_19_onoo: 0,
                        quiz_2_onoo: 0,
                        quiz_20_onoo: 0,
                        quiz_3_onoo: 0,
                        quiz_4_onoo: 0,
                        quiz_5_onoo: 0,
                        quiz_6_onoo: 0,
                        quiz_7_onoo: 0,
                        quiz_8_onoo: 0,
                        quiz_9_onoo: 0
                    },

                    gadaad_duu: {
                        hediig_taasan: 0,
                        suuld_songoson: '0',
                        onoo: 0,
                        "quiz_40": "0",
                        "quiz_21": "0",
                        "quiz_22": "0",
                        "quiz_23": "0",
                        "quiz_24": "0",
                        "quiz_25": "0",
                        "quiz_26": "0",
                        "quiz_27": "0",
                        "quiz_28": "0",
                        "quiz_29": "0",
                        "quiz_30": "0",
                        "quiz_31": "0",
                        "quiz_32": "0",
                        "quiz_33": "0",
                        "quiz_34": "0",
                        "quiz_35": "0",
                        "quiz_36": "0",
                        "quiz_37": "0",
                        "quiz_38": "0",
                        "quiz_39": "0",

                        quiz_21_onoo: 0,
                        quiz_22_onoo: 0,
                        quiz_23_onoo: 0,
                        quiz_24_onoo: 0,
                        quiz_25_onoo: 0,
                        quiz_26_onoo: 0,
                        quiz_27_onoo: 0,
                        quiz_28_onoo: 0,
                        quiz_29_onoo: 0,
                        quiz_30_onoo: 0,
                        quiz_31_onoo: 0,
                        quiz_32_onoo: 0,
                        quiz_33_onoo: 0,
                        quiz_34_onoo: 0,
                        quiz_35_onoo: 0,
                        quiz_36_onoo: 0,
                        quiz_37_onoo: 0,
                        quiz_38_onoo: 0,
                        quiz_39_onoo: 0,
                        quiz_40_onoo: 0
                    }

                }
            }
        }

    </script>
</body>

</html>